Ext.define('Shopware.apps.viaebay', 
{
	/**
	 * Extends from our special controller, which handles the
	 * sub-application behavior and the event bus
	 * @string
	 */
	extend:'Enlight.app.SubApplication',

	/**
	 * The name of the module. Used for internal purpose
	 * @string
	 */
	name:'Shopware.apps.viaebay',

    //initControllers:true,

    /**
     * 
     */
	bulkLoad: true,
    
    /**
     * @string
     */
	loadPath: '{url action=load}',

	/**
	 * Required controllers for sub-application
	 * @array
	 */
	controllers: [
        'Main'
    ],
    
    /**
     * Required stores
     * @array
     */
    stores: [ 
    ], //
     
    /**
     * Required models
     * @array
     */
    models: [
    ], //

	/**
	 * Required views for this sub-application
	 * @array
	 */
	views: [ 
        'boarding.Window',
    ],

    multipleSubWindows: false,


	/**
	 * @private
	 * @return [object] mainWindow - the main application window based on Enlight.app.Window
	 */
	launch: function() 
    {
		var me = this;

        var mainController = me.getController('Main');
        return mainController.mainWindow;
	}
});