//{block name="backend/order/controller/list" append}
	Ext.override(Shopware.apps.Order.controller.List, {
		init: function() {
			var me = this;

			me.control({
				'order-list-main-window order-list': {
					getAlleBayOrders: me.onGetAlleBayOrders
				}
			});

			me.callParent(arguments);
		},
		onGetAlleBayOrders: function() {
			var me = this;
			var store = me.subApplication.getStore('Order');
			var grid = me.getOrderListGrid();

			Ext.Ajax.timeout = 36000000; // 60 Minutes

			grid.setLoading(true);

			Ext.Ajax.request({
				url:'{url controller="viaebay" action="getVIAeBayOrders"}',
				scope: me,
				success:function (response) {
					var result = Ext.decode(response.responseText);

					var path = window.location.pathname;

					path = path.replace('backend/', 'engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);

					Ext.MessageBox.alert('Bestell-Import abgeschlossen', '<table border="0"><tr><td>Gesamt:</td><td>'+result.total+'</td><tr><td><font color="green">Erfolgreich:</font></td><td><font color="green">'+result.ordersSuccess+'</font></td></tr><tr><td><font color="red">Fehlgeschlagen:&nbsp;&nbsp;&nbsp;</font</td><td><font color="red">'+result.ordersFailure+'</font></td></tr></table><br />Weitere Informationen zu den Fehlern finden Sie <a href="'+path+'" target="_blank">hier</a>.<br />Oder im Plugin-Ordner engine/Shopware/Plugins/Community/Backend/viaebay/logs/'+result.logFile);

					grid.setLoading(false);

					store.load();
				},
				failure:function () {
					Ext.MessageBox.alert('Fehlgeschlagen', 'Es ist ein Shopware-Interner Fehler aufgetreten');

					grid.setLoading(false);

					store.load();
				}
			});
		}
	});
//{/block}
