//{block name="backend/article/controller/detail" append}

Ext.override(Shopware.apps.Article.controller.Detail, {

    onSaveArticle: function(win, article, options) {
        
        var me = this,
            originalCallback = options.callback;

        var customCallback = function(newArticle, success) {
            Ext.callback(originalCallback, this, arguments);

            Ext.Ajax.request({
                method: 'POST',
                url: '{url controller=viaebay action=setDataFromVIAeBayArticleTable}',
                params: {
                    _mainDetailId: newArticle.get('mainDetailId'),
                    _articleId: newArticle.get('id'),
                    _best_offer_auto_accept_price: win.__attribute_best_offer_auto_accept_price.getValue(),
                    _best_offer_minimum_price: win.__attribute_best_offer_minimum_price.getValue(),
                    _viaeabyprice: win.__attribute_viaeabyprice.getValue(),
                },
                success: function(responseData, request) {
                    var response = Ext.JSON.decode(responseData.responseText);
                    
                    if(response.responseText != '' && response.responseText != '-')
                    {
                        Shopware.Notification.createGrowlMessage("VIA-Connect - Preisvorschlag", response.responseText, "VIA-Connect");
                    }
                }
            });
        };

        if (!options.callback || options.callback.toString() !== customCallback.toString()) {
            options.callback = customCallback;
        }

        me.callParent([win, article, options]);
    }
});
//{/block}