//{namespace name=backend/viaebay/main"}
Ext.define('ViaEbayOrder.FieldHandler', {

    extend: 'Shopware.attribute.FieldHandlerInterface',

    /**
     * @override
     * @param { Shopware.model.AttributeConfig } attribute
     * @returns { boolean }
     */
    supports: function(attribute) {
        var name = attribute.get('columnName');

        if (attribute.get('tableName') !== 's_order_attributes') {
            return false;
        }

        return (name.match(/^swp_viaebay_carrier_used/));
    },

    /**
     * @override
     * @param { Object } field
     * @param { Shopware.model.AttributeConfig } attribute
     * @returns { object }
     */
    /*create: function(field, attribute) {
        var name = attribute.get('columnName'),
            returnValue = null,
            me = this;

        if (!me.myFieldSet) {
            me.myFieldSet = me.createFieldSet();
            returnValue = me.myFieldSet;
        }
        
        
        me.leftViaEbayOrder.add(
                    Ext.apply(field, {
                        xtype: 'textfield',
                        name: '__attribute_'+name,
                        labelWidth: 155,
                        inputValue: 1,
                        uncheckedValue: 0,
                        listeners: {
                            change: function(field,newValue) {
                                if (newValue == true) {
                                    field.up('fieldset').down('[name=__attribute_'+name+']').setValue(0);
                                }
                            }                                
                        }
                    })
                );
        
        
        return returnValue;
    },*/

    /*createFieldSet: function() {
        var me = this;
        
        me.leftViaEbayOrder = Ext.create('Ext.container.Container', {
            columnWidth:0.5,
            defaults: {
                labelWidth: 155,
                anchor: '100%'
            },
            padding: '0 20 0 0',
            layout: 'anchor',
            border:false,
        });

        return Ext.create('Ext.form.FieldSet', {
            title: 'VIAeBay',
            items: [ me.ViaEbayOrder ],
            layout: 'column',
        });
    },*/

});