//{block name="backend/order/view/list/list" append}
	Ext.override(Shopware.apps.Order.view.list.List, {
		initComponent: function() {
			var me = this;

			me.callParent(arguments);
		},
		registerEvents: function() {
			var me = this;

			me.addEvents(
				'getAlleBayOrders'
			);
		},
		getToolbar: function() {
			var me = this;
			var toolbar = me.callParent(arguments);

			toolbar.items.insert(1,
				Ext.create('Ext.button.Button', {
					text: 'Bestellungen Sync',
					iconCls:'sprite-arrow-circle-double-135',
					handler: function() {
						me.fireEvent('getAlleBayOrders');
					}
				})
			);

			return toolbar;
		},
		getColumns: function () {
			var me = this;

			var columns = me.callParent(arguments);

			var columnVIAeBayID = {
				header: 'VIA-Connect OrderID',
				dataIndex:'swp_viaebay_id',
				flex: 2
			};

			return Ext.Array.insert(columns, 2, [columnVIAeBayID]);
		}
	});
//{/block}